---
title: "Creates Purchase Order Receipt"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/post-purchaseorderreceipts"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Creates Purchase Order Receipt

`POST` `/purchaseorderreceipts`

Operation ID: `post-purchaseorderreceipts`

Sample request: POST /purchaseorderreceipts { "purchase_order_id": 1, "purchase_order_receipt_items": [ { "purchase_order_item_id": 3, "stock_receipt_id": 1, "quantity_received": 3, "quantity_faulty": 1, "quantity_invoiced": 1, "buy_price_ex": 1.1, "unit_discount_ex": 1.1, "direct_costs_ex": 1.1, "bin": "bin", "include_tax": true, "variance_reason": { "id": 1, "name": "variance reason name" }, "notes": "notes", "supplier_invoice_number": "sample invoice number" }] }

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Request body

Content types: `application/json`

## Responses

- `201` - Purchase Order Receipt created
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /purchaseorderreceipts:
    post:
      tags:
        - purchaseorderreceipts
      summary: Creates Purchase Order Receipt
      description: "Sample request: \r

        \r

        \    POST /purchaseorderreceipts \r

        \    { \r

        \        \"purchase_order_id\": 1,\r

        \        \"purchase_order_receipt_items\": [ \r

        \         { \r

        \            \"purchase_order_item_id\": 3, \r

        \            \"stock_receipt_id\": 1,\r

        \            \"quantity_received\": 3,\r

        \            \"quantity_faulty\": 1,\r

        \            \"quantity_invoiced\": 1,\r

        \            \"buy_price_ex\": 1.1,\r

        \            \"unit_discount_ex\": 1.1,\r

        \            \"direct_costs_ex\": 1.1,\r

        \            \"bin\": \"bin\",\r

        \            \"include_tax\": true,\r

        \            \"variance_reason\": {\r

        \                \"id\": 1,\r

        \                \"name\": \"variance reason name\"\r

        \            },\r

        \            \"notes\": \"notes\",\r

        \            \"supplier_invoice_number\": \"sample invoice number\"\r

        \        }]\r

        \    }"
      operationId: post-purchaseorderreceipts
      parameters:
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      requestBody:
        description: Purchase Order Receipt
        content:
          application/json:
            schema:
              title: EmptyExample
              type: object
              additionalProperties: false
      responses:
        "201":
          description: Purchase Order Receipt created
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/PurchaseOrderReceipts"
              example:
                id: 0
                purchase_order_id: 0
                purchase_order_receipt_items:
                  - id: 0
                    purchase_order_item_id: 0
                    pricing:
                      product_id: 0
                      outlet_id: 0
                      sell_price_inc: 0
                      promotional_price_inc: 0
                      promotional_price_start: string
                      promotional_price_end: string
                      taxable: true
                    purchase_order_receipt_id: 0
                    stock_receipt_id: 0
                    quantity_expected: 0
                    quantity_received: 0
                    quantity_faulty: 0
                    quantity_invoiced: 0
                    buy_price_ex: 0
                    supplier_buy_ex: 0
                    unit_discount_ex: 0
                    direct_costs_ex: 0
                    include_tax: true
                    quantity_received_variance: 0
                    product:
                      carton_quantity: string
                      cubic: 0
                      rrp_inc: 0
                      sell_price_inc: 0
                      breadth: 0
                      custom_properties:
                        - name: string
                          value: string
                      depth: 0
                      id: 0
                      length: 0
                      manufacturer_sku: string
                      product_type:
                        id: 0
                        name: string
                        modified_on: string
                      short_description: string
                      supplier:
                        id: 0
                        supplier_code: string
                        name: string
                        is_enabled: true
                        modified_on: string
                      supplier_sku: string
                      supplier_sku2: string
                      weight: 0
                      attributes:
                        - id: 0
                          name: string
                          type: string
                          modified_on: string
                          value:
                            id: 0
                            name: string
                            list_order: 0
                      sales_channels:
                        - id: 0
                          name: string
                          shopify_channel: true
                          source_group:
                            id: 0
                            name: string
                          enabled: true
                      export_to_web: true
                      package: true
                      has_package_products: true
                      last_sold_on: string
                      require_serial_number: 0
                      last_fulfiled_on: string
                      external_links:
                        - id: 0
                          name: string
                          url: string
                      fixed_price_groups:
                        - id: 0
                          name: string
                          sell_price_inc: 0
                          modified_on: string
                      price_groups:
                        - id: 0
                          name: string
                          sell_price_inc: 0
                          web_price_inc: 0
                          modified_on: string
                    created_on: string
                    created_by:
                      id: 0
                      user_code: string
                      first_name: string
                      surname: string
                    modified_on: string
                    modified_by:
                      id: 0
                      user_code: string
                      first_name: string
                      surname: string
                    made_available_on: string
                    made_available_by:
                      id: 0
                      user_code: string
                      first_name: string
                      surname: string
                    finalised_on: string
                    finalised_by:
                      id: 0
                      user_code: string
                      first_name: string
                      surname: string
                    total_buy_price_ex: 0
                    bin: string
                    cogs_ex: 0
                    total_tax: 0
                    total_buy_price_inc: 0
                    total_applied_buy_price_ex: 0
                    total_direct_costs_ex: 0
                    total_cogs_ex: 0
                    total_cogs_inc: 0
                    variance_action: Leave On-Order
                    variance_reason:
                      id: 0
                      name: string
                    notes: string
                supplier_invoices:
                  - id: 0
                    supplier_invoice_number: string
                    international_order: true
                    landed_costs_calculation: Manual
                    currency_conversion: 0
                    rounding_adjustment: 0
                    origin_country:
                      id: 0
                      name: string
                    supplier_invoiced_on: string
                supplier_invoice_number: string
                status: Available
                created_on: string
                created_by:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
                modified_on: string
                modified_by:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
                made_available_on: string
                made_available_by:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
                finalised_on: string
                finalised_by:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
                total_buy_price_ex: 0
                total_products_received: 0
                total_quantity_received: 0
                total_quantity_expected: 0
                total_quantity_faulty: 0
                total_quantity_received_variance: 0
                total_quantity_invoiced: 0
                total_tax: 0
                total_buy_price_inc: 0
                total_applied_buy_price_ex: 0
                total_direct_costs_ex: 0
                total_cogs_ex: 0
                total_cogs_inc: 0
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    PurchaseOrderReceipts:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Purchase order receipts identifier
          format: int32
          nullable: true
        purchase_order_id:
          type: integer
          description: Purchase order identifier
          format: int32
          nullable: true
        purchase_order_receipt_items:
          type: array
          items:
            $ref: "#/components/schemas/PurchaseOrderReceiptItem"
          description: Purchase order receipts items
          nullable: true
        supplier_invoices:
          type: array
          items:
            $ref: "#/components/schemas/SupplierInvoiceLimited"
          description: Purchase order receipt supplier invoices
          nullable: true
        supplier_invoice_number:
          type: string
          description: Supplier invoice number (max length = 50)
          nullable: true
        status:
          $ref: "#/components/schemas/PurchaseOrderReceiptStatusName"
        created_on:
          type: string
          description: Created on
          format: date-time
        created_by:
          $ref: "#/components/schemas/UserExtended"
        modified_on:
          type: string
          description: Modified On
          format: date-time
        modified_by:
          $ref: "#/components/schemas/UserExtended"
        made_available_on:
          type: string
          description: Made available on
          format: date-time
          nullable: true
        made_available_by:
          $ref: "#/components/schemas/UserExtended"
        finalised_on:
          type: string
          description: Finalised on
          format: date-time
          nullable: true
        finalised_by:
          $ref: "#/components/schemas/UserExtended"
        total_buy_price_ex:
          type: number
          description: Total buy price ex
          format: double
          nullable: true
        total_products_received:
          type: integer
          description: Total products received
          format: int32
          nullable: true
        total_quantity_received:
          type: integer
          description: Total quantity received
          format: int64
          nullable: true
        total_quantity_expected:
          type: integer
          description: Total quantity expected
          format: int64
          nullable: true
        total_quantity_faulty:
          type: integer
          description: Total quantity faulty
          format: int64
          nullable: true
        total_quantity_received_variance:
          type: integer
          description: Total quantity received variance
          format: int64
          nullable: true
        total_quantity_invoiced:
          type: integer
          description: Total quantity invoiced
          format: int64
          nullable: true
        total_tax:
          type: number
          description: Total tax
          format: double
          nullable: true
        total_buy_price_inc:
          type: number
          description: Total buy price inc
          format: double
          nullable: true
        total_applied_buy_price_ex:
          type: number
          description: Total applied buy price ex
          format: double
          nullable: true
        total_direct_costs_ex:
          type: number
          description: Total direct costs ex
          format: double
          nullable: true
        total_cogs_ex:
          type: number
          description: Total cogs ex
          format: double
          nullable: true
        total_cogs_inc:
          type: number
          description: Total cogs inc
          format: double
          nullable: true
      additionalProperties: false
      description: Purchase order receipts model
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    PurchaseOrderReceiptItem:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Purchase order receipt item identifier
          format: int32
          nullable: true
        purchase_order_item_id:
          type: integer
          description: Purchase order item identifier
          format: int32
          nullable: true
        pricing:
          $ref: "#/components/schemas/ProductPricingLimited"
        purchase_order_receipt_id:
          type: integer
          description: Purchase order receipt identifier
          format: int32
          nullable: true
        stock_receipt_id:
          type: integer
          description: Stock receipt identifier
          format: int32
          nullable: true
        quantity_expected:
          type: integer
          description: Quantity expected
          format: int32
          nullable: true
        quantity_received:
          type: integer
          description: Quantity received
          format: int32
        quantity_faulty:
          type: integer
          description: Quantity faulty
          format: int32
        quantity_invoiced:
          type: integer
          description: Quantity invoiced
          format: int32
          nullable: true
        buy_price_ex:
          type: number
          description: Buy price ex
          format: double
          nullable: true
        supplier_buy_ex:
          type: number
          description: Supplier buy ex
          format: double
          nullable: true
        unit_discount_ex:
          type: number
          description: Unit discount ex
          format: double
          nullable: true
        direct_costs_ex:
          type: number
          description: Direct costs ex
          format: double
        include_tax:
          type: boolean
          description: Include tax
          nullable: true
        quantity_received_variance:
          type: integer
          description: Quantity received variance
          format: int32
          nullable: true
        product:
          $ref: "#/components/schemas/ProductExtended"
        created_on:
          type: string
          description: Created on
          format: date-time
        created_by:
          $ref: "#/components/schemas/UserExtended"
        modified_on:
          type: string
          description: Modified On
          format: date-time
        modified_by:
          $ref: "#/components/schemas/UserExtended"
        made_available_on:
          type: string
          description: Made Available On
          format: date-time
          nullable: true
        made_available_by:
          $ref: "#/components/schemas/UserExtended"
        finalised_on:
          type: string
          description: Finalised on
          format: date-time
          nullable: true
        finalised_by:
          $ref: "#/components/schemas/UserExtended"
        total_buy_price_ex:
          type: number
          description: Total buy price ex
          format: double
          nullable: true
        bin:
          type: string
          description: Bin
          nullable: true
        cogs_ex:
          type: number
          description: Cogs ex
          format: double
        total_tax:
          type: number
          description: Total tax
          format: double
          nullable: true
        total_buy_price_inc:
          type: number
          description: Total buy price inc
          format: double
          nullable: true
        total_applied_buy_price_ex:
          type: number
          description: Total applied buy price ex
          format: double
          nullable: true
        total_direct_costs_ex:
          type: number
          description: Total direct costs ex
          format: double
          nullable: true
        total_cogs_ex:
          type: number
          description: Total cogs ex
          format: double
          nullable: true
        total_cogs_inc:
          type: number
          description: Total cogs inc
          format: double
          nullable: true
        variance_action:
          $ref: "#/components/schemas/VarianceAction"
        variance_reason:
          $ref: "#/components/schemas/PurchaseOrderReceiptItemVarianceReason"
        notes:
          type: string
          description: Notes
          nullable: true
      additionalProperties: false
      description: Purchase order receipt item
    SupplierInvoiceLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id
          format: int32
        supplier_invoice_number:
          type: string
          description: Supplier Invoice Number
          nullable: true
        international_order:
          type: boolean
          description: Is International Order
        landed_costs_calculation:
          $ref: "#/components/schemas/LandedCostsCalculation"
        currency_conversion:
          type: number
          description: Currency multiplier
          format: double
          nullable: true
        rounding_adjustment:
          type: number
          description: Rounding Adjustment
          format: double
        origin_country:
          $ref: "#/components/schemas/CountryLimited"
        supplier_invoiced_on:
          type: string
          description: Supplier Invoiced On
          format: date-time
          nullable: true
      additionalProperties: false
    PurchaseOrderReceiptStatusName:
      title: ""
      enum:
        - Available
        - In Progress
        - Finalised
      type: string
    UserExtended:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
          nullable: true
        user_code:
          type: string
          description: User code.
          nullable: true
        first_name:
          type: string
          description: First name.
          nullable: true
        surname:
          type: string
          description: Surname.
          nullable: true
      additionalProperties: false
    ProductPricingLimited:
      title: ""
      type: object
      properties:
        product_id:
          type: integer
          description: Product Id
          format: int32
        outlet_id:
          type: integer
          description: Outlet Id
          format: int32
        sell_price_inc:
          type: number
          description: Sell Price (Inc Tax)
          format: double
          nullable: true
        promotional_price_inc:
          type: number
          description: Promotional Price (Inc Tax)
          format: double
          nullable: true
        promotional_price_start:
          type: string
          description: Promotional Price Start
          format: date-time
          nullable: true
        promotional_price_end:
          type: string
          description: Promotional Price End
          format: date-time
          nullable: true
        taxable:
          type: boolean
          description: Is taxable
      additionalProperties: false
    ProductExtended:
      title: ""
      type: object
      properties:
        carton_quantity:
          type: string
          description: Carton quantity
          nullable: true
        cubic:
          type: number
          description: Cubic
          format: double
        rrp_inc:
          type: number
          description: Rpr inc
          format: double
          nullable: true
        sell_price_inc:
          maximum: 922337203685477.6
          minimum: -922337203685477.6
          type: number
          description: Sell Price, cannot be used along with markup_target
          format: double
          nullable: true
        breadth:
          maximum: 9999.9999
          minimum: -9999.9999
          type: number
          description: Breadth
          format: double
          nullable: true
        custom_properties:
          type: array
          items:
            $ref: "#/components/schemas/CustomProperty"
          description: List of custom properties
          nullable: true
        depth:
          maximum: 9999.9999
          minimum: -9999.9999
          type: number
          description: Depth
          format: double
          nullable: true
        id:
          type: integer
          description: Product id.
          format: int32
          nullable: true
        length:
          maximum: 9999.9999
          minimum: -9999.9999
          type: number
          description: Length
          format: double
          nullable: true
        manufacturer_sku:
          type: string
          description: Manufacture SKU
          nullable: true
        product_type:
          $ref: "#/components/schemas/ProductType"
        short_description:
          type: string
          description: Product description.
          nullable: true
        supplier:
          $ref: "#/components/schemas/SupplierLimited"
        supplier_sku:
          type: string
          description: Supplier SKU.
          nullable: true
        supplier_sku2:
          type: string
          description: Supplier SKU2.
          nullable: true
        weight:
          maximum: 99999999.9999
          minimum: -99999999.9999
          type: number
          description: Weight
          format: double
          nullable: true
        attributes:
          type: array
          items:
            $ref: "#/components/schemas/Attribute"
          description: Product attributes
          nullable: true
        sales_channels:
          type: array
          items:
            $ref: "#/components/schemas/ProductSalesChannelVM"
          description: Product Sales Chanels
          nullable: true
        export_to_web:
          type: boolean
          description: Export To Web
          nullable: true
        package:
          type: boolean
          description: Package
        has_package_products:
          type: boolean
          description: Has Package Products
        last_sold_on:
          type: string
          description: Last Processed Sold
          format: date-time
          nullable: true
        require_serial_number:
          type: integer
          description: Require SerialNumber
          format: int32
        last_fulfiled_on:
          type: string
          description: Last Fulfiled
          format: date-time
          nullable: true
        external_links:
          type: array
          items:
            $ref: "#/components/schemas/ProductExternalLinks"
          description: Product External Links.
          nullable: true
        fixed_price_groups:
          type: array
          items:
            $ref: "#/components/schemas/ProductFixedPriceGroupVM"
          description: Product Fixed Price Groups
          nullable: true
        price_groups:
          type: array
          items:
            $ref: "#/components/schemas/ProductPriceGroupVM"
          description: Product Standart Price Groups
          nullable: true
      additionalProperties: false
    VarianceAction:
      title: ""
      enum:
        - Leave On-Order
        - Cancel Balance
        - Receive Balance
        - Review Later
        - Create Supplier Return
      type: string
    PurchaseOrderReceiptItemVarianceReason:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Variance reason identifier
          format: int32
        name:
          type: string
          description: Variance reason name
          nullable: true
      additionalProperties: false
      description: Purchase order receipt item variance reason
    LandedCostsCalculation:
      title: ""
      enum:
        - Manual
        - Currency Conversion
      type: string
    CountryLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: id
          format: int32
          nullable: true
        name:
          type: string
          description: name
          nullable: true
      additionalProperties: false
    CustomProperty:
      title: ""
      type: object
      properties:
        name:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false
      description: Custom Property Model
    ProductType:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Product type Id.
          format: int32
          nullable: true
        name:
          maxLength: 50
          minLength: 0
          pattern: ^[a-zA-Z0-9\s./;:\-_+()*&^%$#@]+$
          type: string
          description: Product type description (Name)
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Product Type Model
    SupplierLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier Id
          format: int32
          nullable: true
        supplier_code:
          maxLength: 20
          minLength: 0
          type: string
          description: Supplier Code
          nullable: true
        name:
          maxLength: 50
          minLength: 0
          type: string
          description: Supplier Name
          nullable: true
        is_enabled:
          type: boolean
          description: Is enabled flag
        modified_on:
          type: string
          description: Modified On
          format: date-time
      additionalProperties: false
    Attribute:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Attribute Id
          format: int32
          nullable: true
        name:
          type: string
          description: Attribute Name
          nullable: true
        type:
          type: string
          description: Attribute Type
          nullable: true
          readOnly: true
        modified_on:
          type: string
          format: date-time
          nullable: true
        value:
          $ref: "#/components/schemas/AttributeValueLimited"
      additionalProperties: false
    ProductSalesChannelVM:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Channel Id.
          format: int32
        name:
          type: string
          description: Channel Name.
          nullable: true
        shopify_channel:
          type: boolean
          description: Shopify Channel.
        source_group:
          $ref: "#/components/schemas/SourceGroupVM"
        enabled:
          type: boolean
          description: Enabled.
      additionalProperties: false
    ProductExternalLinks:
      title: ""
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
      additionalProperties: false
      description: Product External Links
    ProductFixedPriceGroupVM:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Fixed Price Group Id.
          format: int32
        name:
          type: string
          description: Fixed Price Group Name.
          nullable: true
        sell_price_inc:
          type: number
          description: Fixed Price Group Price.
          format: double
          nullable: true
        modified_on:
          type: string
          description: Fixed Price Group Modified On.
          format: date-time
          nullable: true
      additionalProperties: false
    ProductPriceGroupVM:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Identifier
          format: int32
        name:
          type: string
          description: Name
          nullable: true
        sell_price_inc:
          type: number
          description: Calculated POS Price
          format: double
        web_price_inc:
          type: number
          description: Calculated Web Price
          format: double
        modified_on:
          type: string
          format: date-time
      additionalProperties: false
    AttributeValueLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Attribute Value Id
          format: int32
          nullable: true
        name:
          type: string
          description: Attribute Value Name
          nullable: true
        list_order:
          type: integer
          description: Attribute Value List Order
          format: int32
          nullable: true
      additionalProperties: false
    SourceGroupVM:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Source Group Id.
          format: int32
          nullable: true
        name:
          type: string
          description: Source Group Name.
          nullable: true
      additionalProperties: false
```
